% Plot the results of the Simulink simulation

t = simout.time;            % Time [s]
wm = simout.data(:,1);      % Measured flow rate of outlet stream [kg/m3]
Vm = simout.data(:,2);      % Measured volume [m3]
xm = simout.data(:,3);      % Measured mass fraction in outlet stream

% Notice how the volume of the tank is going down over time, due to
% interaction with the mass fraction loop
% Try changing the controller gain to Kc from -1000 to other values, such as
% -100 or -10.  Also Kc = 10 and 100 and 1000.  How does the steady-state 
% error change?  How does the stability of the system change?
% (Note that due to the saturation block on the flow, the system will not
% actually go unstable.)

subplot(3,1,1)
plot(t,wm)
ylabel('flow rate of outlet stream')
subplot(3,1,2)
plot(t,Vm)
ylabel('volume [m3]')
subplot(3,1,3)
plot(t,xm)
xlabel('time [s]')
ylabel('mass fraction x of outlet stream')
